package com.bonus.canteen.core.alloc.service.impl;

import java.util.List;
import com.bonus.common.core.exception.ServiceException;
import com.bonus.common.core.utils.DateUtils;
import com.bonus.common.security.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.canteen.core.alloc.mapper.AllocCanteenEvaluateMapper;
import com.bonus.canteen.core.alloc.domain.AllocCanteenEvaluate;
import com.bonus.canteen.core.alloc.service.IAllocCanteenEvaluateService;

/**
 * 食堂评价Service业务层处理
 * 
 * @author xsheng
 * @date 2025-04-14
 */
@Service
public class AllocCanteenEvaluateServiceImpl implements IAllocCanteenEvaluateService {
    @Autowired
    private AllocCanteenEvaluateMapper allocCanteenEvaluateMapper;

    /**
     * 查询食堂评价
     * 
     * @param evaluateId 食堂评价主键
     * @return 食堂评价
     */
    @Override
    public AllocCanteenEvaluate selectAllocCanteenEvaluateByEvaluateId(Long evaluateId) {
        return allocCanteenEvaluateMapper.selectAllocCanteenEvaluateByEvaluateId(evaluateId);
    }

    /**
     * 查询食堂评价列表
     * 
     * @param allocCanteenEvaluate 食堂评价
     * @return 食堂评价
     */
    @Override
    public List<AllocCanteenEvaluate> selectAllocCanteenEvaluateList(AllocCanteenEvaluate allocCanteenEvaluate) {
        return allocCanteenEvaluateMapper.selectAllocCanteenEvaluateList(allocCanteenEvaluate);
    }

    /**
     * 新增食堂评价
     * 
     * @param allocCanteenEvaluate 食堂评价
     * @return 结果
     */
    @Override
    public int insertAllocCanteenEvaluate(AllocCanteenEvaluate allocCanteenEvaluate) {
        allocCanteenEvaluate.setCreateTime(DateUtils.getNowDate());
        allocCanteenEvaluate.setCreateBy(SecurityUtils.getUsername());
        allocCanteenEvaluate.setUserId(SecurityUtils.getUserId());
        allocCanteenEvaluate.setEvaluateDate(DateUtils.getNowDate());
        try {
            return allocCanteenEvaluateMapper.insertAllocCanteenEvaluate(allocCanteenEvaluate);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 修改食堂评价
     * 
     * @param allocCanteenEvaluate 食堂评价
     * @return 结果
     */
    @Override
    public int updateAllocCanteenEvaluate(AllocCanteenEvaluate allocCanteenEvaluate) {
        allocCanteenEvaluate.setUpdateTime(DateUtils.getNowDate());
        allocCanteenEvaluate.setUpdateBy(SecurityUtils.getUsername());
        try {
            return allocCanteenEvaluateMapper.updateAllocCanteenEvaluate(allocCanteenEvaluate);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 批量删除食堂评价
     * 
     * @param evaluateIds 需要删除的食堂评价主键
     * @return 结果
     */
    @Override
    public int deleteAllocCanteenEvaluateByEvaluateIds(Long[] evaluateIds) {
        return allocCanteenEvaluateMapper.deleteAllocCanteenEvaluateByEvaluateIds(evaluateIds);
    }

    /**
     * 删除食堂评价信息
     * 
     * @param evaluateId 食堂评价主键
     * @return 结果
     */
    @Override
    public int deleteAllocCanteenEvaluateByEvaluateId(Long evaluateId) {
        return allocCanteenEvaluateMapper.deleteAllocCanteenEvaluateByEvaluateId(evaluateId);
    }
}
